main{
    background-color: #CDF5F5;
    padding-bottom: 50px;
}

section.generator{
    max-width: 1300px;
    min-width: 1200px;
    margin: 50px auto 0;
    width: fit-content;
    border-radius: 30px;
    background-color: #fff;
    padding: 50px 30px;
}
/** title **/
.generator__title{
    display: flex;
    width: fit-content;
    margin: 0 auto 0;
    gap: 10px;
    position: relative;
    padding-bottom: 10px;
}
.generator__title-image{
    width: 60px;
}
.generator__title-image img{
    width: 100%;
    height: auto;
    vertical-align: top;
}
.generator__title p{
    font-size: 40px;
    font-weight: bold;
    display: flex;
    flex-direction: column;
    justify-content: flex-end; /* ← 下寄せ */
    height: 60px; /* 高さが必要 */
}
.g-title__under{
    position: absolute;
    bottom: 0;
    width: 100%;
    background-image: url("data:image/svg+xml;utf8,<svg width='500' height='20' xmlns='http://www.w3.org/2000/svg'><defs><linearGradient id='waveGrad' x1='0%' y1='0%' x2='100%' y2='0%'><stop offset='0%' stop-color='%23009CE1' stop-opacity='0.3'/><stop offset='100%' stop-color='%23009CE1' stop-opacity='1'/></linearGradient></defs><path d='M0 10 Q 20 0 40 10 T 80 10 T 120 10 T 160 10 T 200 10 T 240 10 T 280 10 T 320 10 T 360 10 T 400 10 T 440 10 T 480 10 T 520 10' stroke='url(%23waveGrad)' stroke-width='10' fill='none' stroke-linecap='round'/></svg>");
    background-repeat: no-repeat;
    background-size: 500px 20px;
    height: 20px;
    z-index: -1;
    border-radius: 20px;


}
/** イントロ **/
.generator-form__intro{
    margin: 30px auto 0;
    width: fit-content;
    padding: 10px;
    border: 2px solid #EA5513;
    border-radius: 20px;
    line-height: 1.3;
}
.generator-form__intro .generation-form__intro--attention{
    font-size: 14px;
    margin-top: 10px;
}
.generator-form__intro .generation-form__intro--attention ul {
    margin-top: 10px;
}
.generator-form__intro .generation-form__intro--attention ul li{
    display: grid;
    gap: 5px;
    line-height: 20px;
}
.generator-form__intro .generation-form__intro--attention ul li:not(:first-child){
    margin-top: 20px;
}
.generator-form__intro .generation-form__intro--attention ul li p:not(:first-child){
    margin-left: 20px;
}
/*.generator-form__intro .generation-form__intro--attention ul li:before{
    content: "・";
    font-size: 20px;
}*/
/** 登録フォーム **/

span.attention{
    color: red;
    font-size: 12px;
    margin-left: 10px;
}

.generator-form__block{
/*    display: grid;
    grid-template-columns: 1fr 1fr;*/
    width: fit-content;
    margin: 30px auto ;
    /*gap: 30px;*/
}
.generator-form__input{
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.generator-form__block .gf-item{
    grid-column: 1/2;
}
.generator-form__output{
    grid-column: 2 / 3;
    grid-row: 1 / 10;
    margin-left: 30px;
}
.generator-form__block .gf-item:not(:first-child){
    margin-top: 30px;
}
.generator-form__block .gf-item > *:not(:first-child){
    margin: 20px auto 0;
    width: 80%;
}
.generator-form__block .gf-item > *:first-child{
    background-color: rgba(128, 204, 227, .3);
    padding: 10px 20px;
    border-radius: 10px;
    color: #091b47;
}

.generator-form__block .gf-item > .precautions{
    margin-top: 10px;
    font-size: 13px;
}
.generator-form__block .gf-item > .precautions:before{
    content: "※";
}

.generator-form__block .gf-item .file-input {
    display: none; /* input を完全に隠す */
}

 .generator-form__block .gf-item .file-label {
    display: inline-block;
    padding: 8px 16px;
    background: #F26522;
    color: #fff;
    border-radius: 4px;
    cursor: pointer;
    width: 100%;
  }
  .generator-form__block .gf-item input[type=text] {
      width: 100%;
      padding: 10px;
      font-size: 15px;
  }
  .generator-form__block .gf-item input[type=radio] {
      display: none;
  }
  .generator-form__block .gf-item .gf-item__status {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 20px
  }
  .generator-form__block .gf-item input[type=radio] + label p{
      border: 2px solid #000;
      border-radius: 10px;
      padding: 10px;
      cursor: pointer;
      text-align: center;       
      line-height: 1.2;
        /*font-size: 15px;*/
  }
  .generator-form__block .gf-item input[type=radio]:checked + label p {
      border: 2px solid #F26522;
      background-color: #F26522;
      color: #fff;
  }
  .generator-form__block .gf-item.gf-item__submit {
      margin-top: 30px;
      /*width: fit-content;*/
  }
  .generator-form__block .gf-item.gf-item__submit button {
      font-size: 18px;
      font-weight: bold;
      border: none;
      padding: 0;
      background-color: transparent;
      width: 100%;
      color: #fff;
  }
  .generator-form__block .gf-item.gf-item__submit button p{
      cursor: pointer;
      width: 100%;
      border-radius: 10px;
      background-color: #53B6B1;
      padding: 10px 20px;
      text-align: center;
  }
  .generator-form__block .gf-item .slogan__block > div:not(:first-child){
      margin-top: 20px;
  }
  .generator-form__block .gf-item .slogan > *:not(:first-child){
      margin-top: 10px;
  }

  /** canvas **/
  #canvas{
      border:1px solid #ccc;
          width: 600px;
    height: 800px;
/*      width: 500px;
      height: 670px;*/
  }
  
  @media screen and (max-width: 769px){
      .pc-only {
          display: none;
      }
      .sp-only{
          display: block;
      }
  }

  @media screen and (max-width: 768px){
      section.generator{
              max-width: 90%;
              min-width: auto;
    padding: 30px 20px;
      }
/*      .generator__title{
          padding-bottom: 30px;
      }*/
      .generator__title-image{
          width: 40px;
      }
      .generator__title p{
          height: 40px;
          font-size: 22px;
      }
      .generator-form__intro .generation-form__intro--attention ul li p{
          font-size: 12px;
      }
      .generator-form__intro .generation-form__intro--attention ul li p:not(:first-child){
          font-size: 10px;
      }
/*      .generator-form__intro{
          max-width: 90%;
      }*/
.generator-form__input{
    
          grid-template-columns: 1fr;
}
      .generator-form__block{
          grid-template-columns: 1fr;
          width: 100%;
      }
      .generator-form__output{
/*          width: fit-content;
          margin: 0 auto;*/
    grid-column: 1 / 2;
    grid-row: 2;
    margin: 30px auto 0;
      }
      #canvas{
          width: 300px;
          height: 400px;
      }
      .generator-form__block .gf-item.gf-item__submit{
          margin-top: 30px;
      }
  }